#!/usr/bin/python

import os
import numpy as np
import fnmatch

print " ------------------------------------------------------------------- "
with open("images.txt") as file:
     lines = file.readlines()
     lines = [line.rstrip('\r\n') for line in lines]
     print "got {} used images".format( len(lines) )
print " ------------------------------------------------------------------- "

matches = []
for root, dirnames, filenames in os.walk('figures_compressed'):
    for filename in fnmatch.filter(filenames, '*.jpeg'):
        matches.append(os.path.join(root, filename))
print "however, we have {} images in our repo".format( len(matches) )
print " ------------------------------------------------------------------- "
diffs = np.setdiff1d( matches, lines )
print "I will delete {} images".format( len(diffs) )

print " ------------------------------------------------------------------- "

for deletion in diffs:
    os.remove( deletion )

