#!/bin/bash

# first replace all .npy.png with .png
for d in $(find . -iname *.npy.png); do rename 's\.npy.png\.png\g' $d; done

# now convert all pngs to jpg
for d in $(find . -iname *.png); do convert $d $d.jpeg; done

# remove double endings
for d in $(find . -iname *.png.jpeg); do rename 's\.png.jpeg\.jpeg\g' $d; done

# remove double endings
for d in $(find . -iname *.png); do rm -f $d; done

# print all jpegs
for d in $(find . -iname *.jpeg); do echo $d; done